org.eclipse.jetty.io

## Class View.CaseInsensitive

- java.lang.Object
- - org.eclipse.jetty.io.AbstractBuffer
  - - org.eclipse.jetty.io.View
    - - org.eclipse.jetty.io.View.CaseInsensitive

All Implemented Interfaces:
  Cloneable, Buffer, Buffer.CaseInsensitve

Enclosing class:
  View

    public static class View.CaseInsensitive
    extends View
    implements Buffer.CaseInsensitve

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.io.View

`View.CaseInsensitive`

### Nested classes/interfaces inherited from interface org.eclipse.jetty.io.Buffer

`Buffer.CaseInsensitve`

### Field Summary

### Fields inherited from class org.eclipse.jetty.io.AbstractBuffer

`__IMMUTABLE, __READONLY, __READWRITE, __VOLATILE, _access, _get, _hash, _hashGet, _hashPut, _mark, _put, _string, _view, _volatile`

### Fields inherited from interface org.eclipse.jetty.io.Buffer

`IMMUTABLE, NON_VOLATILE, READONLY, READWRITE, VOLATILE`

### Constructor Summary

Constructors
Constructor and Description
`View.CaseInsensitive()`
`View.CaseInsensitive(Buffer buffer)`
`View.CaseInsensitive(Buffer buffer, int mark, int get, int put, int access)`

### Method Summary

Methods
`boolean` `equals(Object obj)`

### Methods inherited from class org.eclipse.jetty.io.View

`array, buffer, capacity, clear, compact, isReadOnly, isVolatile, peek, peek, peek, poke, poke, poke, toString, update, update`

### Methods inherited from class org.eclipse.jetty.io.AbstractBuffer

`asArray, asImmutableBuffer, asMutableBuffer, asNonVolatileBuffer, asReadOnlyBuffer, duplicate, equalsIgnoreCase, get, get, get, getIndex, hasContent, hashCode, isImmutable, length, mark, mark, markIndex, peek, put, put, put, put, putIndex, readFrom, reset, rewind, setGetIndex, setMarkIndex, setPutIndex, skip, slice, sliceFromMark, sliceFromMark, space, toDebugString, toDetailString, toString, toString, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### View.CaseInsensitive

    public View.CaseInsensitive()

#### View.CaseInsensitive

    public View.CaseInsensitive(Buffer buffer,
                        int mark,
                        int get,
                        int put,
                        int access)

#### View.CaseInsensitive

    public View.CaseInsensitive(Buffer buffer)

### Method Detail

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `View`